<!--门窗和锁-->
<template>
  <div class="seat-body">
    <div class="scroll-wrapper" ref="scrollRef">
      <div class="switch-body">
        <div class="switch-group">
          <u-card left-text="长按遥控钥匙闭锁关窗">
            <template #right>
              <u-switch :value="remoteCloseWindow" v-model="remoteCloseWindow"/>
            </template>
          </u-card>
          <u-card left-text="长按遥控钥匙解锁开窗">
            <template #right>
              <u-switch :value="remoteOpenWindow" v-model="remoteOpenWindow"/>
            </template>
          </u-card>
        </div>

        <div class="switch-group">
          <u-card left-text="锁车自动升窗">
            <template #right>
              <u-switch :value="upWindow" v-model="upWindow"/>
            </template>
          </u-card>
        </div>

        <div class="switch-group">
          <u-card left-text="长按微动钥匙闭锁关窗">
            <template #right>
              <u-switch :value="fretCloseWindow" v-model="fretCloseWindow"/>
            </template>
          </u-card>
          <u-card left-text="长按微动钥匙闭锁开窗">
            <template #right>
              <u-switch :value="fretOpenWindow" v-model="fretOpenWindow"/>
            </template>
          </u-card>
        </div>

        <div class="switch-group">
          <u-card left-text="雨天自动关窗">
            <template #right>
              <u-switch :value="autoCloseWindow" v-model="autoCloseWindow"/>
            </template>
          </u-card>
          <u-card left-text="行车自动落锁">
            <template #right>
              <u-switch :value="autoLock" v-model="autoLock"/>
            </template>
          </u-card>
          <u-card left-text="门把手自动缩回（分钟）" :bottom="true">
            <template #bottom>
              <Select :options="minutesList"
                      :selectedIndex="selectedIndex"
                      @changeIndex="changeSelectIndex"
                      class="selectMinute"
              ></Select>
            </template>
          </u-card>
        </div>
      </div>
    </div>

    <img
        src="../../assets/images/setting/setting_blue_car.webp"
        alt=""
        srcset=""
        class="img-bg"
    />
  </div>
</template>

<script>
import MainDialog from "@/components/dialog/MainDialog.vue";
import Select from "@/components/Select.vue";
import BScroll from "better-scroll";

export default {
  name: "WindowAndLock",
  components: {
    Select,
    MainDialog
  },
  data() {
    return {
      remoteCloseWindow: true, // 长按遥控钥匙闭锁关窗
      remoteOpenWindow: true, // 长按遥控钥匙解锁开窗
      upWindow: true, // 锁车自动升窗
      fretCloseWindow: true, // 长按微动钥匙闭锁关窗
      fretOpenWindow: true, // 长按微动钥匙闭锁开窗
      autoCloseWindow: true, // 雨天自动关窗
      autoLock: true, // 行车自动落锁
      minutesList: [
        '关闭', '2', '5', '10'
      ],
      selectedIndex: 0
    }
  },
  methods: {
    goToUserManual() {
      this.$router.push("/user_manual")
    },
    changeSelectIndex(index) {
      this.selectedIndex = index
    },
  },
  mounted() {
    this.bs = new BScroll(this.$refs.scrollRef, {
      quadrant: 2,
      click: true
    });
  }
}
</script>


<style scoped lang="scss">

.seat-body {
  position: relative;
  height: 100%;

  .scroll-wrapper {
    width: 688px;
    height: 743px;
    overflow: hidden;
  }


  .switch-body::-webkit-scrollbar {
    display: none;
  }

  .switch-group {
    width: 688px;
    //padding: 35px 40px 43px 40px;
    box-sizing: border-box;
    margin-bottom: 15px;
    background: #ffffff;
    border-radius: 20px;

    .selectMinute {
      height: 70px;
    }
  }


  .img-bg {
    width: 957px;
    height: 425px;
    position: absolute;
    right: -60px;
    top: 100px;
  }
}

</style>